<?php

/*******************************************
 *                                         *
 *    ContactManager with PHP and MySQL    *
 *                                         *
 *******************************************
 *                                         *
 * copyright: 2006 Dominik Erdmann         *
 *  internet: www.der-domi.de              *
 *     email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * You can change this script for your     *
 * requirements.                           *
 * You are not allowed to change or        *
 * delete copyrights. You are not          *
 * allowed to change or delete links to    *
 * www.der-domi.de                         *
 *                                         *
 *******************************************
 */

/*
 * cronjob_birthdaymail
 * every user get the same email
 * see class.settings.php for furcy informations
 * 
 * the cronjob-function is for getting a remindermail
 * 
 */

// path to script directory
$path = "../";


// debug: sending no mails
define( "DEBUG", TRUE );
//define( "DEBUG", FALSE );

require_once($path."settings/php.php");

if ( ERRORHANDLER_ENABLED == "TRUE" )
{
    require_once($path."classes/class.error.php");
    
    error_reporting(E_ALL);
    $errors = new Errors();
    set_error_handler( array( &$errors, "error_handler" ) );
}

require_once($path."settings/admin.php");
require_once($path."includes/functions.php");
require_once($path."classes/class.db.php");
require_once($path."classes/class.smtp.php");
require_once($path."classes/class.phpmailer.php");
require_once($path."classes/class.language.php");
require_once($path."classes/class.settings.php");
require_once($path."classes/class.settings_table.php");


// database manager
$myDB = new db( $server, $username, $pass, $dbase, $prefix, $errors );

// language manager
$lang = new language($language, TRUE, $path);

// settings manager
$settings = new settings( $lang, TRUE );

// email manager
$mail = new PHPMailer();

$bcc = "";


//
// GET THE CONTACTS TO REMIND NOW
//

$sql = "SELECT firstname, lastname, birthday, email1, " .
        "DATE_ADD(birthday, INTERVAL(YEAR(CURDATE())-YEAR(birthday)) YEAR) AS date, " .
        "( TO_DAYS( DATE_ADD(birthday, INTERVAL(YEAR(CURDATE())-YEAR(birthday)) YEAR) ) - TO_DAYS(CURDATE()) ) AS days, " .
        "(YEAR(CURDATE())-YEAR(birthday)) - (RIGHT(CURDATE(),5)<RIGHT(birthday,5)) AS age " .
        "FROM {$myDB->contacts} WHERE birthday!='0000-00-00' AND email1!='' HAVING days=0 ORDER BY firstname";
        
$rs = $myDB->go($sql);

// for all results (contacts)
for ( $i=0; $row = $myDB->getRow($rs); ++$i )
{
    $message = "Hallo ".$row['firstname'].",\n\n";
    $message .= "der Lauftreff wnscht Dir alles alles Gute zum Geburtstag mit einem\ndreifachen:\n\n";
    $message .= "Gut Lauf\n";
    $message .= "Gut Lauf\n";
    $message .= "Gut Lauf\n\n";
    $message .= "Auf ein weiteres sportliches Jahr.\nDein Lauftreff ";
    
    
    // no HTML-entities in message
    $message = ret_entities( $message );
    
    if ( DEBUG == TRUE )
        echo nl2br( htmlentities( $message ) );
    else
    {
    	// add a emailaddress your choice for a bcc-email
        //$bcc[0] = "foo@bar.de";
        echo myMail( $mail, $row['email1'], $row['firstname']." ".$row['lastname'], "Happy Birthday", $message, $settings, $bcc );
    }
}



if ( ERRORHANDLER_ENABLED == "TRUE" )
    $errors->printError($myDB);


?>
